summaryrefslogtreecommitdiffstats
path: root/source/l/libplist/libplist.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libplist/libplist.SlackBuild')
-rwxr-xr-xsource/l/libplist/libplist.SlackBuild12
1 files changed, 8 insertions, 4 deletions
diff --git a/source/l/libplist/libplist.SlackBuild b/source/l/libplist/libplist.SlackBuild
index 3d6c1d9bc..01c97d72d 100755
--- a/source/l/libplist/libplist.SlackBuild
+++ b/source/l/libplist/libplist.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2011, 2014, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2011, 2014, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libplist
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -79,7 +79,7 @@ fi
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
cd ${PKGNAM}-$VERSION || exit 1
# Make sure ownerships and permissions are sane:
@@ -90,6 +90,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+if [ ! -r configure ]; then
+ NOCONFIGURE=1 ./autogen.sh
+fi
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \